Subject: [apps-discuss] [IANA #815901] Evaluation: <draft-ietf-appsawg-uri-scheme-reg-05.txt> to Best Current Practice

From: "Pearl Liang via RT" <[email-masked]>
Date: Thu, 02 Apr 2015 18:57:39 +0000

IESG:

IANA OK. Comments in tracker.
IANA Actions - YES

This version is okay, as per Graham Klyne's review.  He just noted a few nits below:

----------

Running through my comments:

> Section 3.
>
> "For IETF Standards-Track documents, Permanent registration status is
> REQUIRED."
> Reading this now, I find the drafting here is potentially confusing.
> Suggest:
>
> "For URI schemes defined or normatively referenced by IETF Standards-
> Track
> documents, Permanent registration status is REQUIRED."

Looks good. (Is it the accepted style for this document to capitalize 
"Permanent" here?)

> Section 3.3
>
> "Schemes that are not intended to be used as locators SHOULD describe
> how the
> resource identified can be determined or accessed by software that
> obtains a URI
> of that scheme."
>
> This doesn't seem quite right to me. Schemes that are not intended to
> be used
> as locators aren't generally expected to be accessed by software
> (though they
> may be in particular circumstances).
>
> I think then point that needs to be made here is that there should be
> some
> defined structure of naming authority for the scheme, which is not
> necessarily
> interpretable by software. E.g., something like:
>
> "Schemes that are not intended to be used as locators SHOULD describe
> how the
> resource identified can be determined or accessed by an agent that
> obtains a URI
> of that scheme."

Looks good.

>
>
> Section 7.2:
>
> " 8. Once Expert Review approves registration for a given status,
> IANA
> adds the registration to the registry."
>
> I note that the scheme has already been added to the registry at prior
> step 3.
>
> Suggest:
>
> " 8. Once Expert Review approves registration for a given status,
> IANA
> updates the registration (per step 3) to indicate the approved
> status. "

Looks OK, but where it says "the "Pending Review" request is removed from the 
registry" I might add ", and the scheme remains as a provisional registration".

>
>
> Section 8:
>
> I was somewhat thrown by the heading of section 8.1.
>
> "8.1. "Example" Scheme Registration Request"
>
> I think the intent would be clearer if the section title were given
> as:
>
> "8.1. "Example" Scheme Registration Template"
>

This point has not been addressed, but I don't think it's a blocker.

-----------

Thank you,

Pearl Liang
ICANN

On Fri Mar 27 19:28:56 2015, [email-masked] wrote:
> Evaluation for <draft-ietf-appsawg-uri-scheme-reg-05.txt> can be found
> at
> http://datatracker.ietf.org/doc/draft-ietf-appsawg-uri-scheme-reg/
> 
> Last call to expire on: 2015-03-12 00:00 PDT
> 
> 
> Please return the full line with your position.
> 
> Yes  No-Objection  Discuss  Abstain
> Barry Leiba          [ X ]     [   ]      [   ]    [   ]
> 
> 
> Needs 9 more YES or NO OBJECTION positions to pass.
> 
> DISCUSSES AND COMMENTS
> ======================
> 
> ---- following is a DRAFT of message to be sent AFTER approval ---
> From: The IESG <[email-masked]>
> To: IETF-Announce <[email-masked]>
> Cc: RFC Editor <[email-masked]>
> Subject: Protocol Action: 'Guidelines and Registration Procedures for
> URI Schemes' to Best Current Practice (draft-ietf-appsawg-uri-scheme-
> reg-04.txt)
> 
> The IESG has approved the following document:
> - 'Guidelines and Registration Procedures for URI Schemes'
>   (draft-ietf-appsawg-uri-scheme-reg-04.txt) as Best Current Practice
> 
> This document is the product of the Applications Area Working Group.
> 
> The IESG contact persons are Pete Resnick and Barry Leiba.
> 
> A URL of this Internet Draft is:
> http://datatracker.ietf.org/doc/draft-ietf-appsawg-uri-scheme-reg/
> 
> 
> 
> 
> 
> Technical Summary
> 
> Based on experience with registering provisional and permanent URIs,
> this document
> updates RFC 4395 (which was itself a BCP itself). In particular rules
> for provisional
> registrations were relaxed to make registrations easier.
> 
> Review and Consensus
> 
> This document was reviewed by people who had to deal with URI
> definitions and
> registrations, including former Apps ADs and the current URI
> registration expert reviewer.
> The document had thorough and sufficient reviews.
> 
> Personnel
> 
> The document shepherd is Alexey Melnikov.  The Responsible Area
> Director is Barry
> Leiba.

---

From: Dave Thaler <[email-masked]>
Date: Wed, 8 Apr 2015 01:23:28 +0000

> -----Original Message-----
> From: Pearl Liang via RT [mailto:[email-masked]]
> Sent: Thursday, April 2, 2015 11:58 AM
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: [IANA #815901] Evaluation: <draft-ietf-appsawg-uri-scheme-reg-
> 05.txt> to Best Current Practice
> 
> IESG:
> 
> > Track documents, Permanent registration status is REQUIRED."
> 

Convention was inconsistent... sometimes Permanent, sometimes
permanent, sometimes 'permanent'.   RFC 4395 used the latter form.
I think this should do the same.

> registry" I might add ", and the scheme remains as a provisional registration".

No, if it's rejected it's not in the registry at all (same as the old process).
Since you said you "might" add, I will take this as not a strong opinion.

> This point has not been addressed, but I don't think it's a blocker.

I responded to this in earlier email explaining why it's correct as is.
So it was addressed via email at
http://www.ietf.org/mail-archive/web/apps-discuss/current/msg14105.html 

Dave